class_name Spawner
extends Node2D

@export var spawning_object: PackedScene = null


func spawn() -> Node2D:
	var spawned := spawning_object.instantiate() as Node2D
	add_child.call_deferred(spawned)
	return spawned
